import { Observable } from 'rxjs';
import { MainService } from '../main/main.service';
import { Menu } from '../models/menu';
/**
 * menu service for drupal
 * @see https://www.drupal.org/project/services_menu for more details
 */
export declare class MenuService extends MainService {
    entityType: string;
    /**
     * implement menu retrive
     * @param menuMachineName menu machine name
     * @return menu witl all children links
     */
    getMenu(menuMachineName: string): Observable<Menu>;
}
